// Context.cpp: implementation of the CContext class.
//
// created by Unwinder
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "Context.h"

#include <float.h>

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
CContext::CContext()
{
	m_bus								= 0;
	m_dev								= 0;
	m_devID								= 0;

	for (int nRADC=0; nRADC<MAX_RADC; nRADC++)
		m_rADC[nRADC]					= 0xFF;

	m_vidMode							= 0xFF;
	m_activeSlaves						= 0xFF;

	m_fltVoltage						= FLT_MAX;
	m_fltTemperatureLocal				= FLT_MAX;

	for (int nSlave=0; nSlave<MAX_SLAVE; nSlave++)
		m_fltTemperatureSlave[nSlave]	= FLT_MAX;

	m_fltAverageCurrent					= FLT_MAX;

	m_maxOutputCurrent					= 0;
}
//////////////////////////////////////////////////////////////////////
CContext::~CContext()
{
}
//////////////////////////////////////////////////////////////////////
