// Context.h: interface for the CContext class.
//
// created by Unwinder
//////////////////////////////////////////////////////////////////////
#ifndef _CONTEXT_H_INCLUDED_
#define _CONTEXT_H_INCLUDED_
//////////////////////////////////////////////////////////////////////
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
//////////////////////////////////////////////////////////////////////
#define MAX_RADC													8
#define MAX_SLAVE													6
//////////////////////////////////////////////////////////////////////
class CContext  
{
public:
	CContext();
	virtual ~CContext();

	BYTE	m_bus;
	BYTE	m_dev;
	BYTE	m_devID;
	BYTE	m_rADC[MAX_RADC];
	BYTE	m_vidMode;
	BYTE	m_activeSlaves;

	FLOAT	m_fltVoltage;
	FLOAT	m_fltTemperatureLocal;
	FLOAT	m_fltTemperatureSlave[MAX_SLAVE];
	FLOAT	m_fltAverageCurrent;

	FLOAT	m_maxOutputCurrent;
};
//////////////////////////////////////////////////////////////////////
#endif
//////////////////////////////////////////////////////////////////////
